## ---- include = FALSE---------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>",
  message = FALSE
)

## ----setup, echo = FALSE------------------------------------------------------
library(rjtools)

## ----eval = FALSE-------------------------------------------------------------
#  initial_check_article(path = here::here("inst/paper-with-errors"))

## -----------------------------------------------------------------------------
check_filenames(path = here::here("inst/paper-with-errors"))

## -----------------------------------------------------------------------------
check_unnecessary_files(path = here::here("inst/paper-with-errors")) 

## -----------------------------------------------------------------------------
check_cover_letter(path = here::here("inst/paper-with-errors")) 

## -----------------------------------------------------------------------------
check_title(path = here::here("inst/paper-with-errors")) 

## -----------------------------------------------------------------------------
tools::toTitleCase("ToOoOlTiPs: An R package for Customizable Tooltips in Interactive Graphics")

## -----------------------------------------------------------------------------
check_section(path = here::here("inst/paper-with-errors")) 

## -----------------------------------------------------------------------------
check_spelling(path = here::here("inst/paper-with-errors")) 

## ----eval = FALSE-------------------------------------------------------------
#  check_proposed_pkg()

## ----eval = FALSE-------------------------------------------------------------
#  check_packages_available(path = here::here("inst/paper-with-errors"))

